From 208352da9411da3e21ce7c188774cf6271d9ed0e Mon Sep 17 00:00:00 2001
From: Christian Hofstaedtler <zeha@debian.org>
Date: Sun, 22 Jan 2017 21:44:40 +0000
Subject: [PATCH 1/2] Ensure dhclient hook exits with 0 even if avahi-autoipd
 was not running

Closes: #852256
---
 .../0001-avahi-autoipd-fix-dhclient-hooks-to-check-for-avahi-.patch | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/debian/patches/0001-avahi-autoipd-fix-dhclient-hooks-to-check-for-avahi-.patch b/debian/patches/0001-avahi-autoipd-fix-dhclient-hooks-to-check-for-avahi-.patch
index 3aaae43..e750ea8 100644
--- a/debian/patches/0001-avahi-autoipd-fix-dhclient-hooks-to-check-for-avahi-.patch
+++ b/debian/patches/0001-avahi-autoipd-fix-dhclient-hooks-to-check-for-avahi-.patch
@@ -19,12 +19,14 @@ diff --git a/avahi-autoipd/dhclient-enter-hook.in b/avahi-autoipd/dhclient-enter
 index a746856..c814f2b 100755
 --- a/avahi-autoipd/dhclient-enter-hook.in
 +++ b/avahi-autoipd/dhclient-enter-hook.in
-@@ -22,7 +22,7 @@ case "$reason" in
+@@ -22,7 +24,9 @@ case "$reason" in
          ;;
  
      PREINIT|BOUND|RENEW|REBIND|REBOOT|STOP|RELEASE)
 -        @sbindir@/avahi-autoipd -k $interface 2> /dev/null
-+        [ ! -x @sbindir@/avahi-autoipd ] || @sbindir@/avahi-autoipd -k $interface 2> /dev/null
++        if [ -x @sbindir@/avahi-autoipd ] && @sbindir@/avahi-autoipd -c $interface; then
++                @sbindir@/avahi-autoipd -k $interface 2> /dev/null
++        fi
          ;;
      
      EXPIRE|FAIL|TIMEOUT)
-- 
2.11.0

